#
# spec file for package transset
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           transset
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xrender)
URL:            https://gitlab.freedesktop.org/xorg/app/transset
Version:        1.0.3
Release:        1.8
Summary:        Simple program to make windows transparent
License:        MIT
Group:          System/X11/Utilities
Source:         transset-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
transset manipulates the _NET_WM_WINDOW_OPACITY property to make
windows transparent.

%prep
%setup -n %{name}-%{version}

%build
%configure
%make_build

%install
%make_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%license COPYING
%doc README.md ChangeLog
%{_bindir}/transset
%{_mandir}/man1/transset.1%{?ext_man}

%changelog
* Sun Dec  4 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.3
- supersedes transset-20040120.diff, transset-df-5.diff
- specfile cleanup
* Wed Jan 10 2018 crrodriguez@opensuse.org
- Replace xorg-x11-devel buildrequires by the libraries
  demanded by makefile.
* Mon Nov 13 2017 dimstar@opensuse.org
- Rename README.SuSE to README.SUSE, adhering to the correct
  spelling.
* Thu Jan 25 2007 sndirsch@suse.de
- move from /usr/X11R6 to /usr
* Mon Feb 20 2006 bk@suse.de
- fix printout of current opacity with --verbose (bug #152210)
* Thu Feb  2 2006 bk@suse.de
- added patch for better tuning of transparency
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jul  4 2005 sndirsch@suse.de
- use RPM_OPT_FLAGS
* Fri May 13 2005 sndirsch@suse.de
- use norootforbuild
* Sat Oct 23 2004 sndirsch@suse.de
- created package
